nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::sdk::List< IItem > Class Template Reference
Inheritance diagram for nx::sdk::List< IItem >:

## Public Member Functions
virtual int | count () const override
void | addItem (Ptr< IItem > item)
void | clear ()
Public Member Functions inherited from nx::sdk::RefCountable< IList< IItem > >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::IList< IItem >
Ptr< IItem > | at (int index) const
Public Member Functions inherited from nx::sdk::Interface< IList< IItem > >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Protected Member Functions
virtual IItem * | getAt (int index) const override
Protected Member Functions inherited from nx::sdk::Interface< IList< IItem > >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IList< IItem >
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ getAt()

template<typename IItem>

virtual IItem* nx::sdk::List< IItem >::getAt | ( | int | index | ) | const
| inlineoverrideprotectedvirtual

Called by at()

Implements nx::sdk::IList< IItem >.

The documentation for this class was generated from the following file:

- src/nx/sdk/helpers/list.h